function [y, n] = wthd(x,t)
% function [y, n] = wthd(x,t)
% n = number of coefficients >= t
% y = output coefficients
% x = input coefficients
% t = threshold level (factor of maximum value)

T = t*max(max(abs(x))); 
ok = abs(x)>=T;
y = x.*ok;
n = sum(sum(ok));
